UMS2NET(8)

NAME
ums2net - daemon for UMS to network proxy

SYNOPSIS

ums2net -c ConfigFile [-d] [-P PIDFile]

DESCRIPTION

This manual page documents briefly the ums2net command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

ums2net is a daemon that allows to use nc to flash a USB Mass Storage device.

The program comes up normally as a daemon, opens the TCP ports specified in the configuration file, and waits for connections. Once a connection occurs, the program attempts to open the device and write any data received from the network onto it. If another user is already using the connection, the connections is blocked until another user is done.

OPTIONS

The program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-c ConfigFile
    Load configs from ConfigFile.

-d
    Debug mode, don't detach from the console.

-P PIDFile
    Generate pid file.

FILES

/etc/ums2net.conf
    The system-wide configuration file to control the behaviour of ums2net. There's some examples shipped under /usr/share/doc/ums2net/examples

BUGS

The upstreams BTS can be found at https://github.com/grandpaul/ums2net/issues.

AUTHOR

Ying-Chun Liu <paulliu@debian.org>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2018 Ying-Chun Liu (PaulLiu)

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL-3.